# Class TCefProcessMessageRef

Description
Hierarchy
Fields
Methods
Properties

## Unit

uCEFProcessMessage

## Declaration

`type TCefProcessMessageRef = class(TCefBaseRefCountedRef, ICefProcessMessage)`

## Description

This item has no description.

## Hierarchy

- TInterfacedObject
- TCefBaseRefCountedRef
- TCefProcessMessageRef

## Overview

### Methods

| `function IsValid: Boolean;`
| `function IsReadOnly: Boolean;`
| `function Copy: ICefProcessMessage;`
| `function GetName: ustring;`
| `function GetArgumentList: ICefListValue;`
| `function GetSharedMemoryRegion: ICefSharedMemoryRegion;`
| `class function UnWrap(data: Pointer): ICefProcessMessage;`
| `class function New(const name: ustring): ICefProcessMessage;`

## Description

### Methods

| `function IsValid: Boolean;`
This item has no description. Showing description inherited from ICefProcessMessage.IsValid. Returns true (1) if this object is valid. Do not call any other functions if this function returns false (0).

| `function IsReadOnly: Boolean;`
This item has no description. Showing description inherited from ICefProcessMessage.IsReadOnly. Returns true (1) if the values of this object are read-only. Some APIs may expose read-only objects.

| `function Copy: ICefProcessMessage;`
This item has no description. Showing description inherited from ICefProcessMessage.Copy. Returns a writable copy of this object. Returns nullptr when message contains a shared memory region.

| `function GetName: ustring;`
This item has no description. Showing description inherited from ICefProcessMessage.GetName. Returns the message name.

| `function GetArgumentList: ICefListValue;`
This item has no description. Showing description inherited from ICefProcessMessage.GetArgumentList. Returns the list of arguments. Returns nullptr when message contains a shared memory region.

| `function GetSharedMemoryRegion: ICefSharedMemoryRegion;`
This item has no description. Showing description inherited from ICefProcessMessage.GetSharedMemoryRegion. Returns the shared memory region. Returns nullptr when message contains an argument list.

| `class function UnWrap(data: Pointer): ICefProcessMessage;`
This item has no description.

| `class function New(const name: ustring): ICefProcessMessage;`
This item has no description.

Generated by PasDoc 0.16.0-snapshot.